Skip to main content

Update details

Updates the service account details of a specified account. Use this to modify account settings as needed for your tenancy service.

HTTP method and endpoint

PATCH /tenancy/account/{accountId}/service-account/{serviceAccountId}

Token usage

BlueXP user token.

Usage notes

Updates the service account details of a specified account.

Parameters

Name Type In Required Description

accountId

string

path

True

serviceAccountId

string

path

True

Service Account Client ID. Do not provide the Service Account Public ID.

  • example: BjwDgGkg28cLKg70pLUwz9rY87Ff5xHK

authorization

string

header

True

Authorization JWT access token

X-User-Token

string

header

False

User JWT access token

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

serviceAccountName

string

False

Service account name

rolePublicId

string

False

Service account role

workspacePublicIds

array[string]

False

Service account workspaces

Example request
{
  "serviceAccountName": "string",
  "rolePublicId": "string",
  "workspacePublicIds": [
    "string"
  ]
}

Response

Status: 200, Default response

Definitions

See Definitions

body

Name Type Required Description

serviceAccountName

string

False

Service account name

rolePublicId

string

False

Service account role

workspacePublicIds

array[string]

False

Service account workspaces

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response